### Method

# GObject WeakRef clear

since: 2.32

#### Declaration [src]

    void
    g_weak_ref_clear (
      GWeakRef* weak_ref
    )

#### Description [src]

Frees resources associated with a non-statically-allocated `GWeakRef`. After this call, the `GWeakRef` is left in an undefined state.

You should only call this on a `GWeakRef` that previously had `g_weak_ref_init()` called on it.

Available since: 2.32

This method is not directly available to language bindings.